#9.2 Exerccio Anlise exploratria simultnea de duas variveis

xis = rpois(100, 2)
yip = runif(100, 5, 10)

a.exp = function(x, y)
{
  if(length(x)!=length(y))
  {
    stop("x e y devem ter o mesmo comprimento")
  }
if(!require(plotrix)) {install.packages("plotrix")
  require(plotrix)}
  
par(mfrow = c(2,3))

multhist(list(x,y), col = c("red", "blue"), main = paste("Histograma de", deparse(substitute(x)), "e", deparse(substitute(y))), sep = " ", ylim = c(0, 1.5*max(unlist(multhist(list(xis,yip), plot.it = F)[[1]][2]))))
legend("topright", legend = c( deparse(substitute(x)), deparse(substitute(y))), pch = 15, col = c("red", "blue"), bty = "n")

plot(y ~ x, main = paste("Plot de", deparse(substitute(y)), "~", deparse(substitute(x))), xlab =  deparse(substitute(x)), ylab = deparse(substitute(y)))

qqnorm(x, col = "red", main= paste("Grfico Quantil x Quantil\n de", deparse(substitute(x))),xlab="Quantil Terico",ylab="Quantil da Amostra")
qqline(x)

boxplot(x, y, main = paste("BoxPlot de", deparse(substitute(x)), "e", deparse(substitute(y))), col = c("red", "blue"))
mtext(c(deparse(substitute(x)), deparse(substitute(y))), at = c(1, 2), side = 1, line = 0.7, cex =  0.7)

plot(x ~ y, main = paste("Plot de", deparse(substitute(x)), "~", deparse(substitute(y))), xlab =  deparse(substitute(y)), ylab = deparse(substitute(x)))

qqnorm(y, col = "blue", main= paste("Grfico Quantil x Quantil\n de", deparse(substitute(y))),xlab="Quantil Terico",ylab="Quantil da Amostra")
qqline(y)

par(mfrow = c(1,1))

sumariox = round(summary(x), 3)
names(sumariox) =  c("Min.", "1st Qu.",  "Median",    "Mean", "3rd Qu.",    "Max." )
sumarioy = round(summary(y), 3)
names(sumarioy) =  c("Min.", "1st Qu.",  "Median",    "Mean", "3rd Qu.",    "Max." )
corr = cor(x, y)

return(list("Sumario de x" = sumariox, "Sumario de y" =  sumarioy, "Correlacao" = corr))
}

a.exp(xis, yip)

