# Exerccios 7 - Regresses Lineares Simples
# 7.2 O modelo mais simples possvel

# Vamos retomar a regresso da massa do crebro em funo da massa corporal de alguns animais, do tutorial ajuste e diagnstico de uma regresso:
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

# Agora ajuste este modelo:
  
anim.m0 <- lm(log(brain)~1, data=Animals, 
                subset=!(log(Animals$body)>8&log(Animals$brain)<6))
  
#E compare os dois:
    
anova(anim.m0,anim.m2)

anim.m0 <- update(anim.m2, .~. -log(body))

# Perguntas
# 1. Qual a relao do comando 'anova' acima com:
anova(anim.m2)

#o modelo m0  log(brain)~1, ou seja,  explicado apenas pela mdia de brain
#isto  um modelo nulo. O anova apenas com anim.m2 tambm compara anim.m2 com um modelo nulo, o que fizemos anteriormente foi apenas explicitar isto.
#os valores de desvios, F, p, etc so iguais para os dois anovas, mudando apenas a posio deles na tabela.

# 2. Qual a relao entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

# o intercepto do modelo nulo tem o mesmo valor que a mdia de brain. Isto ocorre pois o modelo  uma reta horizontal na media dos dados.
#O erro padro do modelo tem o mesmo valor do desvio padro dos dados.